##### windows::random_access_handle::random_access_handle (3 of 3 overloads)

Move-construct a `windows::random_access_handle` from another.

    random_access_handle(
        random_access_handle && other);

This constructor moves a random-access handle from one object to another.

###### Parameters

other

  The other `windows::random_access_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `random_access_handle(io_context&)` constructor.